package org.richfaces.demo.push;

import org.richfaces.application.push.Topic;
import org.richfaces.application.push.TopicKey;
import org.richfaces.application.push.TopicsContext;
import org.richfaces.application.push.impl.DefaultMessageDataSerializer;

public class TopicsInitializer extends AbstractCapabilityInitializer {

    @Override
    public void initializeCapability() throws Exception {
        TopicsContext topicsContext = TopicsContext.lookup();
        Topic pushTopic = topicsContext.getOrCreateTopic(new TopicKey("pushTopicsContext"));
        pushTopic.setMessageDataSerializer(DefaultMessageDataSerializer.instance());
    }
}
